# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "agave-watchtower"
version = "3.0.11"
authors = ["Anza Maintainers <maintainers@anza.xyz>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Blockchain, Rebuilt for Scale"
homepage = "https://anza.xyz/"
documentation = "https://docs.rs/agave-watchtower"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/anza-xyz/agave"

[package.metadata.docs.rs]
targets = ["x86_64-unknown-linux-gnu"]

[[bin]]
name = "agave-watchtower"
path = "src/main.rs"

[dependencies.clap]
version = "2.33.1"

[dependencies.humantime]
version = "2.2.0"

[dependencies.log]
version = "0.4.27"

[dependencies.solana-clap-utils]
version = "=3.0.11"

[dependencies.solana-cli-config]
version = "=3.0.11"

[dependencies.solana-cli-output]
version = "=3.0.11"

[dependencies.solana-hash]
version = "=3.0.0"

[dependencies.solana-logger]
version = "=3.0.0"

[dependencies.solana-metrics]
version = "=3.0.11"

[dependencies.solana-native-token]
version = "=3.0.0"

[dependencies.solana-notifier]
version = "=3.0.11"

[dependencies.solana-pubkey]
version = "=3.0.0"
default-features = false

[dependencies.solana-rpc-client]
version = "=3.0.11"
default-features = false

[dependencies.solana-rpc-client-api]
version = "=3.0.11"

[dependencies.solana-version]
version = "=3.0.11"
